Subject: Re: bug#32850: 27.0.50; window-swap-states doesn't swap window prev/next-buffers

From: Juri Linkov <[email-masked]>
Date: Thu, 15 Nov 2018 23:30:48 +0200

>>> Today I think that we should instead pop up a menu of previous buffers
>>> when moving the mouse over the mode-line's buffer-name.
>>
>> Not intuitive at all.
>
> Why not?  We currently tell there in a tooltip that it's a "buffer
> name" and how to switch to the previous and next buffer.  Is that
> intuitive?

I don't use the mouse.  Whereas window-local tab-bar showing a list
of prev/next-buffers allows using the keyboard to navigate.
For example, when the window-local tab-bar shows such tabs:

[buffer-2] [buffer-1] [current-buffer] [buffer+1] [buffer+2]

Then I know that I can just type `C-2 C-x left' to get to the second
previous buffer, or to get the second next buffer with `C-2 C-x right'.

>> Good idea.  Simply to add a conditional display to mode-line-format with
>>
>>    (and (not (window-in-direction 'down))
>>         (not (window-in-direction 'left)))
>
> Right-adjusted would be fine to make it more clear that this is not a
> window-buffer pertinent information.

If there is enough space to put global information.  For example, in Gnus
mode-lines are so long, that have no free space for more information.

> I forgot.  You probably mean
>
>    (and (not (window-in-direction 'down nil nil nil nil 'nomini))
>         (not (window-in-direction 'right nil nil nil nil 'nomini)))
>
> here.

Exactly.